//
//	Encoder for G.729A CS-ACELP Speech Codec
// 
//		math_module.cpp : Module for common math functions
//

#include "StdAfx.h"

/*********************************************************************
/*
/*	  Function to find the sign of a number
/*    Input: x
/*    Output: sign(x)
/*
/*********************************************************************/
float sign(float x)
{
	if (x < 0)
		return -1.0;
	else if (x > 0)
		return 1.0;
	else
		return 0.0;
}

void correlation(float x[40], float h[40], float x_b[40])
{
	int n,l;

	for (n=0; n<40; n++)	
		for (l=n, x_b[n]=0; l<=39; l++)
			x_b[n] += x[l]*h[l-n];
}
